Bug 1281929 - [abrt] gconf-editor: gconf_client_lookup(): gconf-editor killed by SIGABRT
[abrt] gconf-editor: gconf_client_lookup(): gconf-editor killed by SIGABRT
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gconf-editor (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:04636ed2bf78a7508f85dd6c3d6...
:
: 1338065 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 15:44 EST by mastaiza
Modified: 2016-11-24 10:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-24 10:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.96 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: core_backtrace (17.76 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: dso_list (9.53 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: environ (2.44 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: maps (45.83 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: mountinfo (3.12 KB, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: open_fds (746 bytes, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-11-13 15:44 EST, mastaiza
no flags Details

  None (edit)
Description mastaiza 2015-11-13 15:44:26 EST
Version-Release number of selected component:
gconf-editor-3.0.1-9.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gconf-editor /apps/mail-notification
crash_function: gconf_client_lookup
executable:     /usr/bin/gconf-editor
global_pid:     10936
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 gconf_client_lookup at gconf-client.c:2369
 #5 gconf_client_key_is_writable at gconf-client.c:1415
 #6 gconf_editor_window_update_list_selection at gconf-editor-window.c:1131
 #7 _g_closure_invoke_va at gclosure.c:864
 #10 _gtk_tree_selection_internal_select_node at gtktreeselection.c:1593
 #11 gtk_tree_view_real_set_cursor at gtktreeview.c:13295
 #12 gtk_tree_view_row_deleted at gtktreeview.c:9344
 #17 gtk_tree_model_row_deleted at gtktreemodel.c:1899
 #18 gtk_tree_model_sort_row_deleted at gtktreemodelsort.c:1083
 #23 gtk_tree_model_row_deleted at gtktreemodel.c:1899

Potential duplicate: bug 1207825
Comment 1 mastaiza 2015-11-13 15:44:30 EST
Created attachment 1093840 [details]
File: backtrace
Comment 2 mastaiza 2015-11-13 15:44:32 EST
Created attachment 1093841 [details]
File: cgroup
Comment 3 mastaiza 2015-11-13 15:44:34 EST
Created attachment 1093842 [details]
File: core_backtrace
Comment 4 mastaiza 2015-11-13 15:44:36 EST
Created attachment 1093843 [details]
File: dso_list
Comment 5 mastaiza 2015-11-13 15:44:38 EST
Created attachment 1093844 [details]
File: environ
Comment 6 mastaiza 2015-11-13 15:44:40 EST
Created attachment 1093845 [details]
File: limits
Comment 7 mastaiza 2015-11-13 15:44:42 EST
Created attachment 1093846 [details]
File: maps
Comment 8 mastaiza 2015-11-13 15:44:43 EST
Created attachment 1093847 [details]
File: mountinfo
Comment 9 mastaiza 2015-11-13 15:44:45 EST
Created attachment 1093848 [details]
File: namespaces
Comment 10 mastaiza 2015-11-13 15:44:46 EST
Created attachment 1093849 [details]
File: open_fds
Comment 11 mastaiza 2015-11-13 15:44:48 EST
Created attachment 1093850 [details]
File: proc_pid_status
Comment 12 mastaiza 2015-11-13 15:44:50 EST
Created attachment 1093851 [details]
File: var_log_messages
Comment 13 Dan Dragomir 2015-12-29 16:44:31 EST
Another user experienced a similar problem:

I was editting a configuration option for Docky and it crashed when changing to another key.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: gconf_client_lookup
executable:     /usr/bin/gconf-editor
global_pid:     3496
kernel:         4.2.8-300.fc23.x86_64
package:        gconf-editor-3.0.1-9.fc23
reason:         gconf-editor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 nvwarr 2016-01-18 07:52:24 EST
This is an old bug, which, for some inexplicable reason, they won't fix, even though there's been a patch on the gnome bugzilla since April 2012 (https://bugzilla.gnome.org/show_bug.cgi?id=670586)!

https://bugzilla.redhat.com/show_bug.cgi?id=999500

Edward Sheldrake's patch from nearly four years ago works for me with the Fedora 23 version.
Comment 15 sheepdestroyer 2016-03-08 03:00:08 EST
Similar problem has been detected:

just randomly crashed multiple times while interacting with

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: gconf_client_lookup
executable:     /usr/bin/gconf-editor
global_pid:     22433
kernel:         4.4.3-300.fc23.x86_64
package:        gconf-editor-3.0.1-9.fc23
reason:         gconf-editor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 1786578565 2016-05-21 07:10:44 EDT
*** Bug 1338065 has been marked as a duplicate of this bug. ***
Comment 17 Michael Cronenworth 2016-06-03 17:47:44 EDT
Similar problem has been detected:

Trying to close the window.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gconf-editor
crash_function: gconf_client_lookup
executable:     /usr/bin/gconf-editor
global_pid:     2998
kernel:         4.5.5-201.fc23.x86_64
package:        gconf-editor-3.0.1-9.fc23
reason:         gconf-editor killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1810
Comment 18 Fedora End Of Life 2016-11-24 08:23:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.